
bluestore - Bug #54465

BlueFS broken sync compaction mode

03/03/2022 04:12 PM - Adam Kupczyk

Status: Resolved % Done: 0%

Priority: Normal   

Assignee: Adam Kupczyk   

Category:    

Target version:    

Source:  Affected Versions:  

Tags: backport_processed ceph-qa-suite:  

Backport: quincy Pull request ID: 45246

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

BlueFS fine grain locking refactor block sync compaction mode.

The problem is off-by-1 in seq which leads to drop of all but first _replay log entries.

022-03-03T07:55:39.765+0000 7ffff7fda840 20 bluefs _replay 0x0:  op_dir_create sharding

2022-03-03T07:55:39.765+0000 7ffff7fda840 20 bluefs _replay 0x0:  op_dir_link  sharding/def to 21

2022-03-03T07:55:39.765+0000 7ffff7fda840 20 bluefs _replay 0x0:  op_jump_seq 1025

2022-03-03T07:55:39.765+0000 7ffff7fda840 10 bluefs _read h 0x555557c46400 0x1000~1000 from file(ino 1 size 0x1000 mtime

0.000000 allocated 410000 alloc_commit 410000 extents [1:0x1540000~410000])

2022-03-03T07:55:39.765+0000 7ffff7fda840 20 bluefs _read left 0xff000 len 0x1000

2022-03-03T07:55:39.765+0000 7ffff7fda840 20 bluefs _read got 4096

2022-03-03T07:55:39.765+0000 7ffff7fda840 10 bluefs _replay 0x1000: stop: seq 1025 != expected 1026

2022-03-03T07:55:39.765+0000 7ffff7fda840 10 bluefs _replay log file size was 0x1000

2022-03-03T07:55:39.765+0000 7ffff7fda840 10 bluefs _replay done

The default mode is async mode.

Related issues:

Copied to bluestore - Backport #55024: quincy: BlueFS broken sync compaction ... Resolved

History

#1 - 03/03/2022 04:13 PM - Adam Kupczyk

- Pull request ID set to 45246

#2 - 03/09/2022 11:31 PM - Neha Ojha

- Status changed from New to Fix Under Review

#3 - 03/23/2022 05:53 PM - Adam Kupczyk

- Status changed from Fix Under Review to Pending Backport

#4 - 03/23/2022 05:55 PM - Backport Bot

- Copied to Backport #55024: quincy: BlueFS broken sync compaction mode added

#5 - 08/08/2022 04:28 PM - Backport Bot

- Tags set to backport_processed

#6 - 09/19/2022 09:10 AM - Igor Fedotov
- Status changed from Pending Backport to Resolved
